View Issue Details

IDProjectCategoryLast Update
0023259AI War 2[All Projects] Bug - OtherJun 8, 2020 12:52 pm
ReporterMetrekecAssigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product VersionBeta 2.062 Savegame/Networking Data Compaction 
Fixed in VersionBeta 2.063 Fixes and Tweaks 
Summary0023259: AI Fleet strength is not displayed
DescriptionAI Fleet strength is not displayed on the Galaxy map. Player fleet strength is still displayed. There's also no difficulty for objectives in the Intel tab.
TagsNo tags attached.

Activities

Metrekec

Jun 5, 2020 6:14 pm

reporter  

test.save (420,233 bytes)
No Fleet Strength.png (1,371,841 bytes)

BadgerBadger

Jun 5, 2020 6:57 pm

manager   ~0057207

I suspect this will also really confuse all the minor factions (especially those that rely on fireteams)

x4000Bughunter

Jun 5, 2020 8:11 pm

administrator   ~0057209

It probably is calculating the data that fireteams use, so it's most likely just the human display side of things that is borked. Sorry about that!

Ovalcircle also mentioned it. I'll try to carve out some time tomorrow to look into this. I really thought I had fixed this last week.

BadgerBadger

Jun 6, 2020 12:33 am

manager   ~0057210

Oh good. It would be much more convenient as a UI only issue!

x4000Bughunter

Jun 8, 2020 12:52 pm

administrator   ~0057217

Thanks!

* The "strength counting data" experiment we tried last version was a disaster on pretty much every level, causing lots of confusion in the code and definitely showing that that was not the way to go with GameCommand. The strength counting data has been returned to how it used to be, which fixes bugs like the galaxy map not showing your enemy strengths properly.

Issue History

Date Modified Username Field Change
Jun 5, 2020 6:14 pm Metrekec New Issue
Jun 5, 2020 6:14 pm Metrekec File Added: No Fleet Strength.png
Jun 5, 2020 6:14 pm Metrekec File Added: test.save
Jun 5, 2020 6:56 pm BadgerBadger Assigned To => x4000Bughunter
Jun 5, 2020 6:56 pm BadgerBadger Status new => assigned
Jun 5, 2020 6:57 pm BadgerBadger Note Added: 0057207
Jun 5, 2020 8:11 pm x4000Bughunter Note Added: 0057209
Jun 6, 2020 12:33 am BadgerBadger Note Added: 0057210
Jun 8, 2020 12:52 pm x4000Bughunter Status assigned => resolved
Jun 8, 2020 12:52 pm x4000Bughunter Resolution open => fixed
Jun 8, 2020 12:52 pm x4000Bughunter Fixed in Version => Beta 2.063 Fixes and Tweaks
Jun 8, 2020 12:52 pm x4000Bughunter Note Added: 0057217